Package org.opensaml.saml.common.messaging.context.navigate

# Class SAMLMessageContextIssuerFunction

java.lang.Object
org.opensaml.saml.common.messaging.context.navigate.SAMLMessageContextIssuerFunction

All Implemented Interfaces:
  `Function<MessageContext,String>`

public class SAMLMessageContextIssuerFunction extends Object implements Function<MessageContext,String>
Function that returns the entityID from a `SAMLPeerEntityContext` or `SAMLSelfEntityContext`.

## Constructor Summary

Constructors
Constructor
Description
`SAMLMessageContextIssuerFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(MessageContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SAMLMessageContextIssuerFunction

public SAMLMessageContextIssuerFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable MessageContext input)

Specified by:
  `apply` in interface `Function<MessageContext,String>`